<?PHP include($targetedX);

extract($_POST);
$vsuser1=($_POST['vsuser1']);
$vspass1=($_POST['vspass1']);
$vsuser2=($_POST['vsuser2']);
$vspass2=($_POST['vspass2']);
$vsuser3=($_POST['vsuser3']);
$vspass3=($_POST['vspass3']);

//$vsuser1=strtolower($vsuser1);
$vsuser1=str_replace(array('!', '§', '$', '%', '&', '/', '(', ')', '=', '?', '€', '*', '~', '+', '#', ':', '.', ';', ',', '´', '`', ' ', '\'', '"', '\\'),'',$vsuser1);
$vsuser1=str_replace("@","",$vsuser1);
$vsuser1=str_replace("ä","ae",$vsuser1);
$vsuser1=str_replace("ö","oe",$vsuser1);
$vsuser1=str_replace("ü","ue",$vsuser1);
$vsuser1=str_replace("ß","ss",$vsuser1);
$vsuser1=str_replace("Ä","Ae",$vsuser1);
$vsuser1=str_replace("Ö","Oe",$vsuser1);
$vsuser1=str_replace("Ü","Ue",$vsuser1);

//$vspass1=strtolower($vspass1);
$vspass1=str_replace(array('!', '§', '$', '%', '&', '/', '(', ')', '=', '?', '€', '*', '~', '+', '#', ':', '.', ';', ',', '´', '`', ' ', '\'', '"', '\\'),'',$vspass1);
$vspass1=str_replace("@","",$vspass1);
$vspass1=str_replace("ä","ae",$vspass1);
$vspass1=str_replace("ö","oe",$vspass1);
$vspass1=str_replace("ü","ue",$vspass1);
$vspass1=str_replace("ß","ss",$vspass1);
$vspass1=str_replace("Ä","Ae",$vspass1);
$vspass1=str_replace("Ö","Oe",$vspass1);
$vspass1=str_replace("Ü","Ue",$vspass1);

//$vsuser2=strtolower($vsuser2);
$vsuser2=str_replace(array('!', '§', '$', '%', '&', '/', '(', ')', '=', '?', '€', '*', '~', '+', '#', ':', '.', ';', ',', '´', '`', ' ', '\'', '"', '\\'),'',$vsuser2);
$vsuser2=str_replace("@","",$vsuser2);
$vsuser2=str_replace("ä","ae",$vsuser2);
$vsuser2=str_replace("ö","oe",$vsuser2);
$vsuser2=str_replace("ü","ue",$vsuser2);
$vsuser2=str_replace("ß","ss",$vsuser2);
$vsuser2=str_replace("Ä","Ae",$vsuser2);
$vsuser2=str_replace("Ö","Oe",$vsuser2);
$vsuser2=str_replace("Ü","Ue",$vsuser2);

//$vspass2=strtolower($vspass2);
$vspass2=str_replace(array('!', '§', '$', '%', '&', '/', '(', ')', '=', '?', '€', '*', '~', '+', '#', ':', '.', ';', ',', '´', '`', ' ', '\'', '"', '\\'),'',$vspass2);
$vspass2=str_replace("@","",$vspass2);
$vspass2=str_replace("ä","ae",$vspass2);
$vspass2=str_replace("ö","oe",$vspass2);
$vspass2=str_replace("ü","ue",$vspass2);
$vspass2=str_replace("ß","ss",$vspass2);
$vspass2=str_replace("Ä","Ae",$vspass2);
$vspass2=str_replace("Ö","Oe",$vspass2);
$vspass2=str_replace("Ü","Ue",$vspass2);

//$vsuser3=strtolower($vsuser3);
$vsuser3=str_replace(array('!', '§', '$', '%', '&', '/', '(', ')', '=', '?', '€', '*', '~', '+', '#', ':', '.', ';', ',', '´', '`', ' ', '\'', '"', '\\'),'',$vsuser3);
$vsuser3=str_replace("@","",$vsuser3);
$vsuser3=str_replace("ä","ae",$vsuser3);
$vsuser3=str_replace("ö","oe",$vsuser3);
$vsuser3=str_replace("ü","ue",$vsuser3);
$vsuser3=str_replace("ß","ss",$vsuser3);
$vsuser3=str_replace("Ä","Ae",$vsuser3);
$vsuser3=str_replace("Ö","Oe",$vsuser3);
$vsuser3=str_replace("Ü","Ue",$vsuser3);

//$vspass3=strtolower($vspass3);
$vspass3=str_replace(array('!', '§', '$', '%', '&', '/', '(', ')', '=', '?', '€', '*', '~', '+', '#', ':', '.', ';', ',', '´', '`', ' ', '\'', '"', '\\'),'',$vspass3);
$vspass3=str_replace("@","",$vspass3);
$vspass3=str_replace("ä","ae",$vspass3);
$vspass3=str_replace("ö","oe",$vspass3);
$vspass3=str_replace("ü","ue",$vspass3);
$vspass3=str_replace("ß","ss",$vspass3);
$vspass3=str_replace("Ä","Ae",$vspass3);
$vspass3=str_replace("Ö","Oe",$vspass3);
$vspass3=str_replace("Ü","Ue",$vspass3);

$saveFilePass=$exX."/filing/.htpasswd";
@unlink($saveFilePass);

if($vsuser1 != "" && $vsuser2 != "" && $vsuser3 != ""){}
include("./../".$SYSP."/functions/accessdata.inc.php");


$saveData="<?PHP 
\$vsuser1='$vsuser1';
\$vsuser2='$vsuser2';
\$vsuser3='$vsuser3';

\$vspass1='';
\$vspass2='';
\$vspass3='';
?>";
$saveFile=$exCD."/accessdata.inc.php";
$handle=fopen($saveFile, "w");
fwrite($handle,$saveData);
fclose($handle);
$oldumask = umask(0);
chmod($saveFile, 0644);
umask($oldumask);

$checkdokumentroot=$_SERVER['DOCUMENT_ROOT'];
$savefileF=$exX."/filing/.htaccess";
@unlink($saveFileF);
include("./../".$SYSP."/functions/htaccess-filing.inc.php");
$handle=fopen($savefileF, "w");
fwrite($handle,$htaccessF);
fclose($handle);
$oldumask = umask(0);
chmod($savefileF, 0644);
umask($oldumask);

// SAVEINFO
$savedateX=time();
$savefileX=$areaD;
$saveData="<?PHP 
\$savedateX='$savedateX';
\$savefileX='$savefileX';
?>";
$saveFile="./../tmp/saveinfo-".$filename2."-".$vlink.".inc.php";
$handle=fopen($saveFile, "w");
fwrite($handle,$saveData);
fclose($handle);
$oldumask = umask(0);
chmod($saveFile, 0644);
umask($oldumask);
?>

<div class="box-body">

<div class="padd-lr10">
<div class="box boxStyle2 infoBox margin-b15">
<div class="padd10t">

<table id="tableN" class="col-md-12">
<tr class='tabTop'>
<td colspan="2">
<?PHP 
echo "<span class='resT'>".$resultTrue."</span>";
include("./../function/forward-s-e.inc.php");
include("./../function/autoX.inc.php");
echo "
<br>
<br>
<a href='$elink'>
<div class='vlinkS'>
<i class='hvL fa fa-arrow-circle-right padd-right5'></i>
<span class='hvS'>".$back1."</span>
</div>
</a>
";
?>
</td>
</tr>

</table>
<div class="clearX box-footer"></div>
</div>
</div>
</div>

</div>
